local raidFrames = ElvUF_Raid
local group1, group2, group3, group4, group5, group6 = raidFrames:GetChildren()
local groups = { group1, group2, group3, group4, group5, group6 }
aura_env.players = {}
for _, group in ipairs(groups) do
	local playerFrame1, playerFrame2, playerFrame3, playerFrame4, playerFrame5 = group:GetChildren()
	local playerFrames = { playerFrame1, playerFrame2, playerFrame3, playerFrame4, playerFrame5 }

	for _, player in ipairs(playerFrames) do
		if player.Name:IsVisible() then aura_env.players[#aura_env.players + 1] = player end
	end
end

local specs = {
	-- We can't get unit spec..........
	-- Best we can do is class
	-- That fucking sucks
}

aura_env.Player = {
	new = function(self, player)
		setmetatable({}, self)
		self.frame = nil
		self.danger = 0
		return self
	end,
}
